/*****************************************************************
Title:  StreamWatch.java
Date:   12/5/00
Author: Michael Larson

Comments:
StreamWatch abstract class. All StreamWatch objects much extend this
class.
*******************************************************************/

package streamhealth;

abstract class StreamWatch extends Thread {
protected Object mUniqueID;
protected SiteState mSiteState;
protected String mURL;
protected StringBuffer mPrevCode;
protected int mPort;
protected String mIP;
	
StreamWatch() {}
public void init(Object uniqueID, String url, String ip, int port, StringBuffer prevCode, SiteState ss) 
{
	mUniqueID = uniqueID;
	mSiteState = ss; 
	mURL = url;
	mIP = ip;
	mPort = port;

	if (prevCode == null) {
		mPrevCode = new StringBuffer(); }
	else {
		mPrevCode = prevCode; } }
	
abstract public void run();

}


